    module blas
    interface
       pure function dnrm2(n,x,inc)
       use precision
       real(D)::dnrm2
       integer,intent(in)::n,inc
       real(D),intent(in)::x(n*inc)
       end function dnrm2
    end interface
    end module blas
